• 카테고리

    질문 & 답변
  • 세부 분야

    딥러닝 · 머신러닝

  • 해결 여부

    미해결

char-rnn 코랩 에러 ... 못보나요,, cpus는 너무 느려서

23.03.31 10:54 작성 조회수 358

0

65 unique characters
FATAL Flags parsing error: Unknown command line flag 'f'
Pass --helpshort or --helpfull to see help on flags.
E0331 00:27:13.561940 139884619077440 ultratb.py:152] Internal Python error in the inspect module.
Below is the traceback from this internal error.

Traceback (most recent call last):
  File "/usr/local/lib/python3.9/dist-packages/absl/app.py", line 156, in parse_flags_with_usage
    try:
  File "/usr/local/lib/python3.9/dist-packages/absl/flags/_flagvalues.py", line 652, in __call__
    raise _exceptions.UnrecognizedFlagError(
absl.flags._exceptions.UnrecognizedFlagError: Unknown command line flag 'f'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.9/dist-packages/IPython/core/interactiveshell.py", line 3553, in run_code
    exec(code_obj, self.user_global_ns, self.user_ns)
  File "<ipython-input-6-c4a8a0bf2191>", line 170, in <cell line: 168>
    app.run(main)
  File "/usr/local/lib/python3.9/dist-packages/absl/app.py", line 300, in run
    try:
  File "/usr/local/lib/python3.9/dist-packages/absl/app.py", line 369, in _run_init
    logging.use_absl_handler()
  File "/usr/local/lib/python3.9/dist-packages/absl/app.py", line 216, in _register_and_parse_flags_with_usage
    original_argv = sys.argv if argv is None else argv
  File "/usr/local/lib/python3.9/dist-packages/absl/app.py", line 166, in parse_flags_with_usage
    sys.stderr.write('Pass --helpshort or --helpfull to see help on flags.\n')
SystemExit: 1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.9/dist-packages/IPython/core/ultratb.py", line 1101, in get_records
    return _fixed_getinnerframes(etb, number_of_lines_of_context, tb_offset)
  File "/usr/local/lib/python3.9/dist-packages/IPython/core/ultratb.py", line 248, in wrapped
    return f(*args, **kwargs)
  File "/usr/local/lib/python3.9/dist-packages/IPython/core/ultratb.py", line 281, in _fixed_getinnerframes
    records = fix_frame_records_filenames(inspect.getinnerframes(etb, context))
  File "/usr/lib/python3.9/inspect.py", line 1543, in getinnerframes
    frameinfo = (tb.tb_frame,) + getframeinfo(tb, context)
AttributeError: 'tuple' object has no attribute 'tb_frame'
---------------------------------------------------------------------------
UnrecognizedFlagError                     Traceback (most recent call last)
/usr/local/lib/python3.9/dist-packages/absl/app.py in parse_flags_with_usage(args)
    155   """
--> 156   try:
    157     return FLAGS(args)


13 frames


UnrecognizedFlagError: Unknown command line flag 'f'
During handling of the above exception, another exception occurred:

SystemExit                                Traceback (most recent call last)
    [... skipping hidden 1 frame]

SystemExit: 1
During handling of the above exception, another exception occurred:

TypeError                                 Traceback (most recent call last)
    [... skipping hidden 1 frame]

/usr/local/lib/python3.9/dist-packages/IPython/core/ultratb.py in find_recursion(etype, value, records)
    380     # first frame (from in to out) that looks different.
    381     if not is_recursion_error(etype, value, records):
--> 382         return len(records), 0
    383 
    384     # Select filename, lineno, func_name to track frames with

TypeError: object of type 'NoneType' has no len()

답변 1

답변을 작성해보세요.

0

안녕하세요~. 반갑습니다.

char-rnn을 colab 환경에서 실습해보고 싶으실 경우 아래에 제공드린 colab 실습 파일로 실습부탁드립니다.

https://colab.research.google.com/drive/1Lr-tdAWh6sJdmAcOCmimHOIaK54idw-t?usp=sharing

좋은 하루되세요~.

감사합니다.